=== modified file 'Makefile.am'
--- Makefile.am	2009-11-26 12:12:21 +0000
+++ Makefile.am	2009-12-21 16:45:31 +0000
@@ -1,1 +1,1 @@
-SUBDIRS = libubuntuone tests
+SUBDIRS = libubuntuone tests bindings

=== added directory 'bindings'
=== added file 'bindings/Makefile.am'
--- bindings/Makefile.am	1970-01-01 00:00:00 +0000
+++ bindings/Makefile.am	2009-12-21 16:45:31 +0000
@@ -0,0 +1,1 @@
+SUBDIRS = python
\ No newline at end of file

=== added directory 'bindings/python'
=== added file 'bindings/python/ubuntuone.override'
--- bindings/python/ubuntuone.override	1970-01-01 00:00:00 +0000
+++ bindings/python/ubuntuone.override	2009-12-21 16:45:31 +0000
@@ -0,0 +1,14 @@
+%%
+headers
+#include <Python.h>
+#include "pygobject.h"
+#include "u1-contacts-picker.h"
+#include "u1-music-store.h"
+%%
+modulename ubuntuone       
+%%
+import gtk.VBox as PyGtkVBox_Type
+%%
+ignore-glob
+  *_get_type                            
+%%

=== added file 'bindings/python/ubuntuonemodule.c'
--- bindings/python/ubuntuonemodule.c	1970-01-01 00:00:00 +0000
+++ bindings/python/ubuntuonemodule.c	2009-12-21 16:45:31 +0000
@@ -0,0 +1,21 @@
+#include <pygobject.h>
+
+void trayicon_register_classes (PyObject *d);
+extern PyMethodDef ubuntuone_functions[];
+ 
+DL_EXPORT(void)
+initubuntuone(void)
+{
+    PyObject *m, *d;
+
+    init_pygobject ();
+
+    m = Py_InitModule ("ubuntuone", ubuntuone_functions);
+    d = PyModule_GetDict (m);
+
+    ubuntuone_register_classes (d);
+
+    if (PyErr_Occurred ()) {
+        Py_FatalError ("can't initialise module ubuntuone");
+    }
+}

=== modified file 'configure.ac'
--- configure.ac	2009-12-04 13:22:36 +0000
+++ configure.ac	2009-12-21 16:45:31 +0000
@@ -42,11 +42,27 @@
 DISTCHECK_CONFIGURE_FLAGS="--enable-gtk-doc"
 AC_SUBST(DISTCHECK_CONFIGURE_FLAGS)
 
+dnl Checks for Python bindings
+AC_MSG_CHECKING([for codegen])
+PYTHON_CODEGENDIR=`$PKG_CONFIG --variable codegendir pygobject-2.0`
+if test -z $PYTHON_CODEGENDIR; then
+  AC_MSG_ERROR([unable to find PyGObject codegen])
+else
+  AC_MSG_RESULT($PYTHON_CODEGENDIR)
+fi
+AC_SUBST(PYTHON_CODEGENDIR)
+
+PKG_CHECK_MODULES(PYGTK, pygtk-2.0)
+AC_SUBST(PYGTK_CFLAGS)
+AC_SUBST(PYGTK_LIBS)
+
 AC_OUTPUT([
 Makefile
 libubuntuone.pc
 libubuntuone/Makefile
 tests/Makefile
+bindings/Makefile
+bindings/python/Makefile
 ])
 
 AC_MSG_NOTICE([

